﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class scoreScript : MonoBehaviour {

    public Canvas scoreCanvas;
    public Text txtScore;
    public Text txtTimer;
    public Text txtGameOver;
    public static int score = 0;
    public static float timeLeft = 10.0f;
	// Use this for initialization
	void Start () {
        scoreCanvas = scoreCanvas.GetComponent<Canvas>();
        txtScore = txtScore.GetComponent<Text>();
        txtTimer = txtTimer.GetComponent<Text>();
        txtGameOver = txtGameOver.GetComponent<Text>();
        txtGameOver.enabled = false;
	}
	
	// Update is called once per frame
	void Update () {
        txtScore.text = "Score: " + score;
        timeLeft -= Time.deltaTime * Time.timeScale;
        int minutes = (int)(timeLeft / 60.0f);
        int seconds = Mathf.CeilToInt(timeLeft % 60.0f);
        txtTimer.text = string.Format("{0:00}:{1:00}", minutes, seconds);
        if (timeLeft <= 0.0f) txtGameOver.enabled = true;
	}
}
