﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using UnityEngine.SceneManagement;

public class menuScript : MonoBehaviour {
    public Canvas mainMenu;
    public Button btnPlay;
    public Text txtPlay;
    public Button btnRestart;
    public Button btnQuit;
	// Use this for initialization
	void Start () {

        mainMenu = mainMenu.GetComponent<Canvas>();
        btnPlay = btnPlay.GetComponent<Button>();
        txtPlay = txtPlay.GetComponent<Text>();
        btnRestart = btnRestart.GetComponent<Button>();
        btnQuit = btnQuit.GetComponent<Button>();

        mainMenu.enabled = true;
        btnPlay.gameObject.SetActive(true);
        btnRestart.gameObject.SetActive(false);
        Time.timeScale = 0;
        txtPlay.text = "Play";
        scoreScript.score = 0;
        scoreScript.timeLeft = 10.0f;
    }
	
	// Update is called once per frame
	void Update () {

        if (Input.GetKeyDown("p")&&!mainMenu.enabled)
        {
            mainMenu.enabled = true;
            txtPlay.text = "Resume";
            btnRestart.gameObject.SetActive(true);
            Time.timeScale = 0;
        }
        if (scoreScript.timeLeft <= 0.0f)
        {
            mainMenu.enabled = true;
            btnPlay.gameObject.SetActive(false);
            btnRestart.gameObject.SetActive(true);
            Time.timeScale = 0;
        }
    }

    public void pressPlay()
    {
        mainMenu.enabled = false;
        startGame();
    }

    public void pressRestart()
    {
        restartGame();
    }

    public void pressQuit()
    {
        quitGame();
    }

    public void startGame()
    {
        Time.timeScale = 1;
    }

    public void restartGame()
    {
        SceneManager.LoadScene("level0");
    }

    public void quitGame()
    {
        Application.Quit();
    }
}
